Subject: Re: [bug#27898] [PATCH 2/2] gnu: Put autoconf-related phases immediately after the 'unpack phase.

From: Kei Kebreau <[email-masked]>
Date: Wed, 02 Aug 2017 16:31:08 -0400

Leo Famulari <[email-masked]> writes:

> On Wed, Aug 02, 2017 at 09:33:01PM +0200, Marius Bakke wrote:
>> Kei Kebreau <[email-masked]> writes:
>
> [... move autoconf phases ...]
>
>> Phew! This too will cause a lot of rebuilds, but I guess we could put it
>> on 'staging'. It would have to be committed just before starting it to
>> reduce the amount of merge conflicts.
>
> Agreed
>
>> That said, I'm not sure how necessary this change is, but I don't have a
>> strong argument against it. Other opinions welcome!
>
> I guess there is a correct ordering and an incorrect ordering, depending
> on whether or not these phases should happen before or after the shebang
> patching phases. Does it work if it happens before the shebangs are
> patched?
>

What does the "it" in "does it work" mean here? If you mean the
builds themselves, then no. Success isn't guaranteed because the
configure scripts might not be patched, as the patching phases are
finished before the "build" phases. This change ensures that the
"patch-usr-bin-file" phase can operate on generated configure scripts if
necessary:

https://lists.gnu.org/archive/html/guix-devel/2017-07/msg00124.html

>> Maybe we could add an '#:autoreconf?' parameter to gnu-build-system,
>> which runs `autoreconf -vif` in a phase and automatically pulls in
>> automake and autoconf (and probably also libtool). Thoughts?
>
> Interesting!

I agree. It would cut down on repetitive, common code and potential for
"autoreconf-ing" incorrectly.